Get a theme
Returns the full theme entity including all embedded templates and assets.
The production field indicates whether this is the live theme.
For the public/production theme, store:create_dev_theme is available.
For a dev theme, store:publish_theme and store:delete_theme are available.
GET
/themes/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredTheme ID
Responses
200
Theme entity with embedded templates and assets
_linksHalLinksidstringOpaque theme identifier
linkedbooleanWhether this is a linked (inherited) theme
parent_idstring | nullproductionbooleantrue for the live/public theme
publicbooleanAlias for production
accessiblebooleantitlestringsettingsstringRaw JSON string of theme settings
created_onstring<date-time>updated_onstring<date-time>_embeddedobjectShow propertiesHide properties
templatesThemeTemplate[]Show propertiesHide properties
Array of
ThemeTemplate_linksHalLinksidstringfile_namestringpathstringbodystringFull template source code
is_sectionbooleanschemaobjectPresent only when is_section is true — the section's configurable schema.
parent_commitstring | nullupdated_onstring<date-time>assetsThemeAsset[]Show propertiesHide properties
Array of
ThemeAsset_linksHalLinksidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringurlstringCDN URL for this asset
updated_onstring<date-time>401
Unauthorized
403
Access denied
404
Theme not found